package com.bonus.canteen.core.menu.dto;

import com.bonus.canteen.core.common.page.PageDTO;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class MenuMaterialCategoryPageDTO extends PageDTO implements Serializable {
   @ApiModelProperty("类别id")
   private Long categoryId;
   @ApiModelProperty("类别名称")
   private String categoryName;
   @ApiModelProperty("类别类型(1原料2商品)")
   private Integer categoryType;
   @ApiModelProperty("区域ID")
   private Long areaId;

   public Long getCategoryId() {
      return this.categoryId;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public Integer getCategoryType() {
      return this.categoryType;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public void setCategoryId(final Long categoryId) {
      this.categoryId = categoryId;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setCategoryType(final Integer categoryType) {
      this.categoryType = categoryType;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }
}
